#include<stdio.h>
#include<math.h>

int pierwiastki(float a, float b, float c, float *x1, float *x2)
{
    float delta;
    float epsilon = 0.000001;

    delta = b * b - 4 * a * c;

    if( delta < 0 ) return 0;
    if( fabs(delta) < epsilon )
    {
        *x1 = - b / (2 * a);
        *x2 = *x1;
        return 1;
    }

    *x1 = - (b - sqrt(delta)) / (2 * a);
    *x2 = - (b + sqrt(delta)) / (2 * a);
    return 2;
}


int main()
{
    float a, b, c;
    float x1, x2;
    int k;

    printf("Podaj wartosci a, b i c: ");
    scanf("%f%f%f", &a, &b, &c);

    k = pierwiastki(a, b, c, &x1, &x2);

    if ( k==0 ) printf("Brak miejsc zerowych\n");
    if ( k==1 )
    {
        printf("Jedno miejsce zerowe\n");
        printf("x1=%f\n", x1);
    }
    if( k==2 )
    {
        printf("Dwa miejsca zerowe\n");
        printf("x1=%f\nx2=%f\n", x1, x2);
    }
}
